{
  "parent": "minecraft:recipes/root",
  "criteria": {
    "has_iron": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {"items": [{"items": ["minecraft:iron_ingot"]}]}
    },
    "has_diamond": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {"items": [{"items": ["minecraft:diamond"]}]}
    },
    "has_cobblestone": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {"items": [{"items": ["minecraft:cobblestone"]}]}
    },
    "has_recipe": {
      "trigger": "minecraft:recipe_unlocked",
      "conditions": {"recipe": "husj:disassembler"}
    }
  },
  "requirements": [
    ["has_iron", "has_recipe"],
    ["has_diamond", "has_recipe"],
    ["has_cobblestone", "has_recipe"]
  ],
  "rewards": {
    "recipes": ["husj:disassembler"]
  }
}